package com.pj.api.dto;

import lombok.Data;

import java.io.Serializable;

@Data
public class AdminCreateDto implements Serializable {

    /**
     * 账号
     */
    private String name;

    /**
     * 所属互市ID
     */
    private Long tradeAreaId;

    /**
     * 类型(00=运营管理者,01=合作社)
     */
    private String type;

    /**
     * 密码，发短信生成
     */
    private String password;

    /** 所属角色id */
    public Integer roleId;


}
