package com.pj.rabbitmq;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@ConfigurationProperties(prefix = "rabbit")
@Component
public class RabbitMQ {


    public static final String ACC_KEY = "klfksd78974s1d4f";


    /**
     *  发送方队列
     */
    public static final String TEST_SEND_QUEUE = "hs_shop_in";

    /**
     *  发送方路由键
     */
    public static final String TEST_SEND_ROUTING_KEY = "hs_shop_in";

    /**
     *  接收方队列
     */
    public static final String TEST_ACCEPT_QUEUE = "hs_shop_out";

    /**
     *  接收方路由键
     */
    public static final String TEST_ACCEPT_ROUTING_KEY = "hs_shop_out";


    /**
     *  发送方MQ交换机名称
     */
    public static final String MQ_DIRECT_EXCHANGE = "wlpt_exchange";

    //#app-id;//sjf01
    //#accKey;//klfksd78974s1d4f
    //#发送方队列
    private String testSendQueue;//hs_shop_in
    //#发送方路由键
    private String testSendRoutingKey;//hs_shop_in
    //#接收方队列
    private String testAcceptQueue;//hs_shop_out
    //#接收方路由键
    private String testAcceptRoutingKey;//hs_shop_out
    //#发送方MQ交换机名称
    private String mqDirectExchange;//wlpt_exchange
}
