package com.pj.tb_agreement;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.pj.utils.so.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

/**
 * Mapper: tb_agreement -- 协议表
 * @author loovi
 */

@Mapper
@Repository
public interface TbAgreementMapper extends BaseMapper <TbAgreement> {



	/**
	 * 查集合 - 根据条件（参数为空时代表忽略指定条件）
	 * @param so 参数集合 
	 * @return 数据列表 
	 */
	List<TbAgreement> getList(SoMap so);


}
