package com.pj.tb_goods_transit;//package com.pj.tb_goods_transit;
//
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.stereotype.Component;
//
//import com.pj.utils.sg.*;
//
///**
// * 工具类：tb_goods_transit -- 审核商户在APP端发布的商品
// * @author qzy
// *
// */
//@Component
//public class TbGoodsTransitUtil {
//
//
//	/** 底层 Mapper 对象 */
//	public static TbGoodsTransitMapper tbGoodsTransitMapper;
//	@Autowired
//	private void setTbGoodsTransitMapper(TbGoodsTransitMapper tbGoodsTransitMapper) {
//		TbGoodsTransitUtil.tbGoodsTransitMapper = tbGoodsTransitMapper;
//	}
//
//
//	/**
//	 * 将一个 TbGoodsTransit 对象进行进行数据完整性校验 (方便add/update等接口数据校验) [G]
//	 */
//	static void check(TbGoodsTransit t) {
//		AjaxError.throwByIsNull(t.getId(), "[在销商品表主键] 不能为空");		// 验证: 在销商品表主键
//		AjaxError.throwByIsNull(t.getMerchantId(), "[商户编号] 不能为空");		// 验证: 商户编号
//		AjaxError.throwByIsNull(t.getMerchantName(), "[商户名称] 不能为空");		// 验证: 商户名称
//		AjaxError.throwByIsNull(t.getGoodsType(), "[商品类型] 不能为空");		// 验证: 商品类型
//		AjaxError.throwByIsNull(t.getGoodsName(), "[商品名称] 不能为空");		// 验证: 商品名称
//		AjaxError.throwByIsNull(t.getGoodsUnits(), "[商品单位] 不能为空");		// 验证: 商品单位(吨、kg、个、柜)
//		AjaxError.throwByIsNull(t.getPrice(), "[商品价格] 不能为空");		// 验证: 商品价格
//		AjaxError.throwByIsNull(t.getPlaceOrigin(), "[产地] 不能为空");		// 验证: 产地(国家)
//		AjaxError.throwByIsNull(t.getDiscription(), "[商品描述] 不能为空");		// 验证: 商品描述
//		AjaxError.throwByIsNull(t.getStock(), "[库存数量] 不能为空");		// 验证: 库存数量
//		AjaxError.throwByIsNull(t.getGoodsStatus(), "[商品状态] 不能为空");		// 验证: 商品状态(0=下架,1=在售)
//		AjaxError.throwByIsNull(t.getAuditStatus(), "[审核状态] 不能为空");		// 验证: 审核状态(0=待审核,1=通过,2=不通过)
//		AjaxError.throwByIsNull(t.getAuditTime(), "[审核时间] 不能为空");		// 验证: 审核时间
//		AjaxError.throwByIsNull(t.getRemark(), "[审核意见] 不能为空");		// 验证: 审核意见
//		AjaxError.throwByIsNull(t.getCreateTime(), "[创建时间] 不能为空");		// 验证: 创建时间
//		AjaxError.throwByIsNull(t.getCreateBy(), "[创建人编号] 不能为空");		// 验证: 创建人编号
//		AjaxError.throwByIsNull(t.getCreateName(), "[创建人名称] 不能为空");		// 验证: 创建人名称
//		AjaxError.throwByIsNull(t.getUpdateTime(), "[更新时间] 不能为空");		// 验证: 更新时间
//		AjaxError.throwByIsNull(t.getUpdateBy(), "[更新人编号] 不能为空");		// 验证: 更新人编号
//		AjaxError.throwByIsNull(t.getUpdateName(), "[更新人名称] 不能为空");		// 验证: 更新人名称
//		AjaxError.throwByIsNull(t.getDelStatus(), "[删除状态] 不能为空");		// 验证: 删除状态(0=禁用,1=启用)
//	}
//
//	/**
//	 * 获取一个TbGoodsTransit (方便复制代码用) [G]
//	 */
//	static TbGoodsTransit getTbGoodsTransit() {
//		TbGoodsTransit t = new TbGoodsTransit();	// 声明对象
//		t.setId(0L);		// 在销商品表主键
//		t.setMerchantId("");		// 商户编号
//		t.setMerchantName("");		// 商户名称
//		t.setGoodsType("");		// 商品类型
//		t.setGoodsName("");		// 商品名称
//		t.setGoodsUnits("");		// 商品单位(吨、kg、个、柜)
//		t.setPrice(0.0);		// 商品价格
//		t.setPlaceOrigin("");		// 产地(国家)
//		t.setDiscription("");		// 商品描述
//		t.setStock(0);		// 库存数量
//		t.setGoodsStatus(0);		// 商品状态(0=下架,1=在售)
//		t.setAuditStatus(0);		// 审核状态(0=待审核,1=通过,2=不通过)
//		t.setAuditTime("");		// 审核时间
//		t.setRemark("");		// 审核意见
//		t.setCreateTime("");		// 创建时间
//		t.setCreateBy("");		// 创建人编号
//		t.setCreateName("");		// 创建人名称
//		t.setUpdateTime("");		// 更新时间
//		t.setUpdateBy("");		// 更新人编号
//		t.setUpdateName("");		// 更新人名称
//		t.setDelStatus(0);		// 删除状态(0=禁用,1=启用)
//		return t;
//	}
//
//
//
//
//
//}
