package com.pj.tb_goods_units;


public enum BtUnitType {
	 UNIT_TYPE_001("001","台"),
	 UNIT_TYPE_002("002","座"),
	 UNIT_TYPE_003("003","辆"),
	 UNIT_TYPE_004("004","艘"),
	 UNIT_TYPE_005("005","架"),
	 UNIT_TYPE_006("006","套"),
	 UNIT_TYPE_007("007","个"),
	 UNIT_TYPE_008("008","只"),
	 UNIT_TYPE_009("009","头"),
	 UNIT_TYPE_010("010","张"),
	 UNIT_TYPE_011("011","件"),
	 UNIT_TYPE_012("012","支"),
	 UNIT_TYPE_013("013","枝"),
	 UNIT_TYPE_014("014","根"),
	 UNIT_TYPE_015("015","条"),
	 UNIT_TYPE_016("016","把"),
	 UNIT_TYPE_017("017","块"),
	 UNIT_TYPE_018("018","卷"),
	 UNIT_TYPE_019("019","副"),
	 UNIT_TYPE_020("020","片"),
	 UNIT_TYPE_021("021","组"),
	 UNIT_TYPE_022("022","份"),
	 UNIT_TYPE_023("023","幅"),
	 UNIT_TYPE_025("025","双"),
	 UNIT_TYPE_026("026","对"),
	 UNIT_TYPE_027("027","棵"),
	 UNIT_TYPE_028("028","株"),
	 UNIT_TYPE_029("029","井"),
	 UNIT_TYPE_030("030","米"),
	 UNIT_TYPE_031("031","盘"),
	 UNIT_TYPE_032("032","平方米"),
	 UNIT_TYPE_033("033","立方米"),
	 UNIT_TYPE_034("034","筒"),
	 UNIT_TYPE_035("035","千克"),
	 UNIT_TYPE_036("036","克"),
	 UNIT_TYPE_037("037","盆"),
	 UNIT_TYPE_038("038","万个"),
	 UNIT_TYPE_039("039","具"),
	 UNIT_TYPE_040("040","百副"),
	 UNIT_TYPE_041("041","百支"),
	 UNIT_TYPE_042("042","百把"),
	 UNIT_TYPE_043("043","百个"),
	 UNIT_TYPE_044("044","百片"),
	 UNIT_TYPE_045("045","刀"),
	 UNIT_TYPE_046("046","疋"),
	 UNIT_TYPE_047("047","公担"),
	 UNIT_TYPE_048("048","扇"),
	 UNIT_TYPE_049("049","百枝"),
	 UNIT_TYPE_050("050","千只"),
	 UNIT_TYPE_051("051","千块"),
	 UNIT_TYPE_052("052","千盒"),
	 UNIT_TYPE_053("053","千枝"),
	 UNIT_TYPE_054("054","千个"),
	 UNIT_TYPE_055("055","亿支"),
	 UNIT_TYPE_056("056","亿个"),
	 UNIT_TYPE_057("057","万套"),
	 UNIT_TYPE_058("058","千张"),
	 UNIT_TYPE_059("059","万张"),
	 UNIT_TYPE_060("060","千伏安"),
	 UNIT_TYPE_061("061","千瓦"),
	 UNIT_TYPE_062("062","千瓦时"),
	 UNIT_TYPE_063("063","千升"),
	 UNIT_TYPE_067("067","英尺"),
	 UNIT_TYPE_070("070","吨"),
	 UNIT_TYPE_071("071","长吨"),
	 UNIT_TYPE_072("072","短吨"),
	 UNIT_TYPE_073("073","司马担"),
	 UNIT_TYPE_074("074","司马斤"),
	 UNIT_TYPE_075("075","斤"),
	 UNIT_TYPE_076("076","磅"),
	 UNIT_TYPE_077("077","担"),
	 UNIT_TYPE_078("078","英担"),
	 UNIT_TYPE_079("079","短担"),
	 UNIT_TYPE_080("080","两"),
	 UNIT_TYPE_081("081","市担"),
	 UNIT_TYPE_083("083","盎司"),
	 UNIT_TYPE_084("084","克拉"),
	 UNIT_TYPE_085("085","市尺"),
	 UNIT_TYPE_086("086","码"),
	 UNIT_TYPE_088("088","英寸"),
	 UNIT_TYPE_089("089","寸"),
	 UNIT_TYPE_095("095","升"),
	 UNIT_TYPE_096("096","毫升"),
	 UNIT_TYPE_097("097","英加仑"),
	 UNIT_TYPE_098("098","美加仑"),
	 UNIT_TYPE_099("099","立方英尺"),
	 UNIT_TYPE_101("101","立方尺"),
	 UNIT_TYPE_110("110","平方码"),
	 UNIT_TYPE_111("111","平方英尺"),
	 UNIT_TYPE_112("112","平方尺"),
	 UNIT_TYPE_115("115","英制马力"),
	 UNIT_TYPE_116("116","公制马力"),
	 UNIT_TYPE_118("118","令"),
	 UNIT_TYPE_120("120","箱"),
	 UNIT_TYPE_121("121","批"),
	 UNIT_TYPE_122("122","罐"),
	 UNIT_TYPE_123("123","桶"),
	 UNIT_TYPE_124("124","扎"),
	 UNIT_TYPE_125("125","包"),
	 UNIT_TYPE_126("126","箩"),
	 UNIT_TYPE_127("127","打"),
	 UNIT_TYPE_128("128","筐"),
	 UNIT_TYPE_129("129","罗"),
	 UNIT_TYPE_130("130","匹"),
	 UNIT_TYPE_131("131","册"),
	 UNIT_TYPE_132("132","本"),
	 UNIT_TYPE_133("133","发"),
	 UNIT_TYPE_134("134","枚"),
	 UNIT_TYPE_135("135","捆"),
	 UNIT_TYPE_136("136","袋"),
	 UNIT_TYPE_139("139","粒"),
	 UNIT_TYPE_140("140","盒"),
	 UNIT_TYPE_141("141","合"),
	 UNIT_TYPE_142("142","瓶"),
	 UNIT_TYPE_143("143","千支"),
	 UNIT_TYPE_144("144","万双"),
	 UNIT_TYPE_145("145","万粒"),
	 UNIT_TYPE_146("146","千粒"),
	 UNIT_TYPE_147("147","千米"),
	 UNIT_TYPE_148("148","千英尺"),
	 UNIT_TYPE_149("149","百万贝可"),
	 UNIT_TYPE_163("163","部"),
	 UNIT_TYPE_164("164","亿株"),
	 UNIT_TYPE_9999T("9999T","UNIT"),
	;
	
	
	BtUnitType(String code, String name) {
        this.code = code;
        this.name = name;
    }
    private final String code;
    private final String name;
    public String getCode() {
        return code;
    }
    public String getName() {
        return name;
    }
}
