package com.pj.tb_order.vo;

import lombok.Data;

import java.util.Date;


/**
 * @Author lbl
 **/
@Data
public class ConfirmVo {


    /**
     * 订单ID
     */
    private Long orderId;

    /**
     * 一级市场边民确认状态(0=待确认,1=是)
     */
    private Integer peopleConfirmStatus;
    /**
     * 一级市场边民确认时间
     */
    private Date peopleConfirmTime;

    /**
     * 互助委托申报确认状态
     */
    private String cooperEntrustStatus;
    /**
     * 互助委托申报确认时间
     */
    private String cooperEntrustTime;

    /**
     * 边民进口申报确认状态(0=待确认,1=是)
     */
    private Integer applyConfirmStatus;
    /**
     * 边民进口申报确认时间
     */
    private Date applyConfirmTime;

}
