package com.pj.tb_people_tax_account;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.pj.utils.so.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

/**
 * Mapper: tb_people_tax_account -- 边民-税务开户信息
 * @author lbl 
 */

@Mapper
@Repository
public interface TbPeopleTaxAccountMapper extends BaseMapper <TbPeopleTaxAccount> {



	/**
	 * 查集合 - 根据条件（参数为空时代表忽略指定条件）
	 * @param so 参数集合 
	 * @return 数据列表 
	 */
	List<TbPeopleTaxAccount> getList(SoMap so);


}
