package com.pj.tb_item_rules;

import com.pj.utils.sg.AjaxJson;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * Controller: tb_item_rules -- 费项因子
 * @author lbl
 */
@RestController
@RequestMapping("/app/TbItemRules/")
public class TbItemRulesAppController {

	/** 底层 Service 对象 */
	@Autowired
	TbItemRulesService tbItemRulesService;

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */
	@RequestMapping("getAllList")
	public AjaxJson getAllList() {
		List<TbItemRulesVo> list = tbItemRulesService.getAllList();
		return AjaxJson.getSuccessData(list);
	}


}
