package com.pj.tb_item_rules;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.pj.utils.so.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

/**
 * Mapper: tb_item_rules -- 费项因子
 * @author lbl
 */

@Mapper
@Repository
public interface TbItemRulesMapper extends BaseMapper <TbItemRules> {



	/**
	 * 查集合 - 根据条件（参数为空时代表忽略指定条件）
	 * @param so 参数集合
	 * @return 数据列表
	 */
	List<TbItemRules> getList(SoMap so);

	List<TbItemRulesVo> getAllList();

}
