package com.pj.tb_orders.vo;

import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.List;

@Data
@Accessors(chain = true)
public class OrderFeeItemVO {

    private String title;
    private BigDecimal totalFee;
    private String companyName;
    private List<FeeDTO>feeList;

    @Data
   public static class FeeDTO{
        private String name;
        private String feeMoney;
        private String feeType;
        private BigDecimal percent;

    }
}
