package com.pj.tb_purchaser.param;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;

/**
 * 收购商认证入参
 * @Author Mechrevo
 * @Date 2023 08 02 10 56
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
public class PurchaserParam {


    @NotNull(message = "公司名称")
    private String name;

    private Integer type;

    @NotNull(message = "法人姓名")
    private String legalPerson;

    @NotNull(message = "法人身份证")
    private String idCard;

    @NotNull(message = "联系号码")
    private String contact;


    @NotNull(message = "银行账号")
    private String bankAccount;

    private String businessLicense;






}
