package com.pj.tb_purchaser.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;


/**
 * 收购商认证入参
 * @Author Mechrevo
 * @Date 2023 08 02 10 56
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
public class PurchaserParamVo {

    /**
     * 审核状态(0=未通过,1=已通过,2=不通过)
     */
    private Integer judgeStatus;

    /**
     * 审核意见
     */
    private String judgeContent;

    private Long loginUserId;

    private String name;

    private String dutyParagraph;

    private String corporateName;

    private String corporateIdCard;

    private String linkPhone;

    private String bankNo;

    private String bankName;

    private String bankAccount;

    private String businessLicense;

    private String address;




}
