package com.pj.tb_purchaser_address;

import java.util.List;

import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;

import com.pj.utils.so.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

/**
 * Mapper: tb_purchaser_address -- 收购商个人地址管理表
 *
 * @author qzy
 */

@Mapper
@Repository
public interface TbPurchaserAddressMapper extends BaseMapper<TbPurchaserAddress> {


    /**
     * 查集合 - 根据条件（参数为空时代表忽略指定条件）
     *
     * @param so 参数集合
     * @return 数据列表
     */
    List<TbPurchaserAddress> getList(SoMap so);


    @Delete("DELETE FROM tb_purchaser_address WHERE id=#{id} AND user_id=#{userId}")
    boolean deleteByIdAndUserId(TbPurchaserAddress address);

}
