package com.pj.bank_byte;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.pj.utils.so.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

/**
 * Mapper: bank_byte -- 银行回执信息字节码表
 * @author lbl 
 */

@Mapper
@Repository
public interface BankByteMapper extends BaseMapper <BankByte> {



	/**
	 * 查集合 - 根据条件（参数为空时代表忽略指定条件）
	 * @param so 参数集合 
	 * @return 数据列表 
	 */
	List<BankByte> getList(SoMap so);


}
