package com.pj.bank_info_charges;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.pj.utils.so.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

/**
 * Mapper: bank_info_charges -- 银行回执信息-手续费
 * @author lbl 
 */

@Mapper
@Repository
public interface BankInfoChargesMapper extends BaseMapper <BankInfoCharges> {



	/**
	 * 查集合 - 根据条件（参数为空时代表忽略指定条件）
	 * @param so 参数集合 
	 * @return 数据列表 
	 */
	List<BankInfoCharges> getList(SoMap so);


}
