package com.pj.rabbitmq;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@ConfigurationProperties(prefix = "mq")
@Component
public class RabbitMQProperties {

    private String host;
    private int port;

    private String username;
    private String password;
    private String levelOneVirtualHost;
    private String levelOneReceiveQueue;
    private String levelOneSendQueue;

    private String levelTwoUsername;
    private String levelTwoPassword;
    private String levelTwoReceiveQueue;
    private String levelTwoSendQueue;
    private String levelTwoVirtualHost;

    private String customsUsername;
    private String customsPassword;
    private String customsVirtualHost;
    private String customsReceiveQueue;
    private String customsSendQueue;
}
