package com.pj.project.app_user.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class LoginDto {

    /**
     * 手机号码
     */
    @NotBlank(message = "手机号不能为空")
    private String phone;

    /**
     * 登陆密码
     */
    @NotBlank(message = "密码不能为空!")
    private String password;

    /**
     * 登录设备
     **/
    private String deviceMode;

    /**
     * app版本号
     */
    private String appVersion;
}
