package com.pj.project.app_user.dto;

import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

@Data
public class PassDto {

    @NotNull(message = "id不能为空!")
    private Long id;

    @Size(min = 8, message = "密码不能少于8位")
    private String password;
}
