package com.pj.project.tb_app;

import java.io.Serializable;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: tb_app -- APK管理
 * @author lbl 
 */
@Data
@Accessors(chain = true)
@TableName(TbApp.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbApp extends Model<TbApp> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_app";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb-app";
	public static final String PERMISSION_CODE_ADD = "tb-app-add";
	public static final String PERMISSION_CODE_EDIT = "tb-app-edit";
	public static final String PERMISSION_CODE_DEL = "tb-app-del";




	// ---------- 表中字段 ----------
	/**
	 *  
	 */
	@TableId(type = IdType.AUTO)
	private Long id;	

	/**
	 *  
	 */
	private String content;	

	/**
	 *  
	 */
	private String version;	

	/**
	 *  
	 */
	private String url;	

	/**
	 * 状态(0=下架,1=上架) 
	 */
	private Integer status;

	/**
	 * 创建时间 
	 */
	private Date createTime;	

	/**
	 * 更新时间 
	 */
	private Date updateTime;	





	


}
