package com.pj.project.tb_app;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.pj.utils.so.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

/**
 * Mapper: tb_app -- APK管理
 * @author lbl 
 */

@Mapper
@Repository
public interface TbAppMapper extends BaseMapper <TbApp> {



	/**
	 * 查集合 - 根据条件（参数为空时代表忽略指定条件）
	 * @param so 参数集合 
	 * @return 数据列表 
	 */
	List<TbApp> getList(SoMap so);



}
