package com.pj.bo;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 边民信息
 */
@NoArgsConstructor
@Data
public class PersonBO implements Serializable {
    /**
     * 地方平台的内部业务编号
     */
    @JsonProperty("platSeqNo")
    private String platSeqNo;
    /**
     *户籍地址
     */
    @JsonProperty("birplAddr")
    private String birplAddr;
    /**
     *姓名
     */
    @JsonProperty("borderName")
    private String borderName;
    /**
     *联系号码
     */
    @JsonProperty("borderTel")
    private String borderTel;
    /**
     *关区代码
     */
    @JsonProperty("customsCode")
    private String customsCode;
    /**
     *身份证有效期起
     */
    @JsonProperty("startDate")
    private String startDate;
    /**
     *身份证有效期止
     */
    @JsonProperty("endDate")
    private String endDate;
    /**
     *有效效截止时间
     */
    @JsonProperty("expiry")
    private String expiry;
    /**
     *场所编码
     */
    @JsonProperty("fieldCode")
    private String fieldCode;
    /**
     *备案状态：默认0、待申报，1、已申报，2、备案通过，3、备案失
     */
    @JsonProperty("filingStatus")
    private String filingStatus;
    /**
     *性别
     */
    @JsonProperty("gencd")
    private String gencd;
    /**
     *边民身份证号码
     */
    @JsonProperty("idCardNo")
    private String idCardNo;
    /**
     *身份证发证机关
     */
    @JsonProperty("idcdGcertPgoffNm")
    private String idcdGcertPgoffNm;
    /**
     *地方政府编号
     */
    @JsonProperty("localGovernmentNo")
    private String localGovernmentNo;
    /**
     *备案编号
     */
    @JsonProperty("putrecNo")
    private String putrecNo;
}
