package com.pj.ht_import_declare_people;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.pj.utils.so.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

/**
 * Mapper: ht_import_declare_people -- 进口申报单边民确认表
 * @author yzs 
 */

@Mapper
@Repository
public interface HtImportDeclarePeopleMapper extends BaseMapper <HtImportDeclarePeople> {



	/**
	 * 查集合 - 根据条件（参数为空时代表忽略指定条件）
	 * @param so 参数集合 
	 * @return 数据列表 
	 */
	List<HtImportDeclarePeople> getList(SoMap so);


}
