package com.pj.tb_goods_transit.param;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Author Mechrevo
 * @Date 2023 07 24 14 00
 **/
@Data
public class JudgeTransitParam {

    /**
     * 批量审核时的ID集合
     */
    @NotNull(message = "ids")
    private List<String> ids;

    /**
     * 审核状态
     */
    @NotNull(message = "审核状态不能为空")
    private Integer judgeStatus;

    /**
     * 审核不通过时的备注
     */
    private String remark;

}
