package com.pj.tb_group;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class TbGroupDto {
    // ---------- 表中字段 ----------
    /**
     *
     */
    private Long id;

    /**
     *
     */
    private String addressIds;

    /**
     *
     */
    private String address;

    /**
     *
     */
    private String detailAddress;

    /**
     * 名称
     */
    private String name;

    /**
     * 组长ID
     */
    private Long leaderId;

    /**
     * 组长名
     */
    private String leaderName;

    /**
     * 组长电话
     */
    private String leaderPhone;

    /**
     *
     */
    private String code;

    /**
     * 当天该组剩余额度
     */
    private Double leftPrice;



    /**
     * 删除状态(0=禁用,1=启用)
     */
    private Integer deleteStatus;

    /**
     * 是否锁定
     */
    private Integer isLock;
}
