package com.pj.tb_import_order;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.pj.utils.so.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * Mapper: tb_import_order -- 进口申报单
 * @author lbl
 */

@Mapper
@Repository
public interface TbImportOrderMapper extends BaseMapper <TbImportOrder> {



	/**
	 * 查集合 - 根据条件（参数为空时代表忽略指定条件）
	 * @param so 参数集合
	 * @return 数据列表
	 */
	List<TbImportOrder> getList(SoMap so);


    TbImportOrder findByManifestId(@Param("manifestId") String manifestId,@Param("idCarNo") String idCarNo);
}
