package com.pj.tb_order_after_sale;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.pj.utils.so.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

/**
 * Mapper: tb_order_after_sale -- 售后申请表，并关联一级市场订单
 * @author qzy 
 */

@Mapper
@Repository
public interface TbOrderAfterSaleMapper extends BaseMapper <TbOrderAfterSale> {



	/**
	 * 查集合 - 根据条件（参数为空时代表忽略指定条件）
	 * @param so 参数集合 
	 * @return 数据列表 
	 */
	List<TbOrderAfterSale> getList(SoMap so);


}
