package com.pj.tb_item_rules;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import java.math.BigDecimal;

/**
 * Model: tb_item_rules -- 费项因子
 * @author lbl
 */
@Data
public class TbItemRulesVo  {


	private Long itemId;

	/**
	 * 指定的商品
	 */
	private String goodsCodes;


	/**
	 * 类型(1=按交易额收取,2=按次收取,3=按顿收费)
	 */
	private String feeType;

	/**
	 * 百分比fee_type=1或3时生效
	 */
	private Double percent;

	/**
	 * 收费金额 fee_type=2时生效
	 */
	private BigDecimal feeMoney;


	@TableField(exist = false)
	private String goodsCodeStr;


	/**
	 * 收费企业
	 */
	private String companyName;

	/**
	 * 名称
	 */
	private String name;


}
