package com.pj.tb_purchaser;//package com.pj.tb_purchaser;
//
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.stereotype.Component;
//
//import com.pj.utils.sg.*;
//import java.util.*;
//
///**
// * 工具类：tb_purchaser -- 收购商
// * @author qzy
// *
// */
//@Component
//public class TbPurchaserUtil {
//
//
//	/** 底层 Mapper 对象 */
//	public static TbPurchaserMapper tbPurchaserMapper;
//	@Autowired
//	private void setTbPurchaserMapper(TbPurchaserMapper tbPurchaserMapper) {
//		TbPurchaserUtil.tbPurchaserMapper = tbPurchaserMapper;
//	}
//
//
//	/**
//	 * 将一个 TbPurchaser 对象进行进行数据完整性校验 (方便add/update等接口数据校验) [G]
//	 */
//	static void check(TbPurchaser t) {
//		AjaxError.throwByIsNull(t.getId(), "[主键] 不能为空");		// 验证: 主键
//		AjaxError.throwByIsNull(t.getName(), "[名称] 不能为空");		// 验证: 名称
//		AjaxError.throwByIsNull(t.getLegalPerson(), "[法人] 不能为空");		// 验证: 法人
//		AjaxError.throwByIsNull(t.getIdCard(), "[身份证号] 不能为空");		// 验证: 身份证号
//		AjaxError.throwByIsNull(t.getContact(), "[手机号码] 不能为空");		// 验证: 手机号码
//		AjaxError.throwByIsNull(t.getBusinessLicense(), "[营业执照] 不能为空");		// 验证: 营业执照
//		AjaxError.throwByIsNull(t.getBankNo(), "[银行编号] 不能为空");		// 验证: 银行编号
//		AjaxError.throwByIsNull(t.getBankName(), "[银行名称] 不能为空");		// 验证: 银行名称
//		AjaxError.throwByIsNull(t.getBankAccount(), "[银行账号] 不能为空");		// 验证: 银行账号
//		AjaxError.throwByIsNull(t.getDutyParagraph(), "[税号] 不能为空");		// 验证: 税号
//		AjaxError.throwByIsNull(t.getAddressIds(), "[地址编号] 不能为空");		// 验证: 地址编号
//		AjaxError.throwByIsNull(t.getAddress(), "[地址] 不能为空");		// 验证: 地址
//		AjaxError.throwByIsNull(t.getJudgeStatus(), "[审核状态] 不能为空");		// 验证: 审核状态(0=未通过,1=已通过)
//		AjaxError.throwByIsNull(t.getJudgeContent(), "[审核意见] 不能为空");		// 验证: 审核意见
//		AjaxError.throwByIsNull(t.getJudgeTime(), "[上次审核时间] 不能为空");		// 验证: 上次审核时间
//		AjaxError.throwByIsNull(t.getRegisterTime(), "[注册时间] 不能为空");		// 验证: 注册时间
//		AjaxError.throwByIsNull(t.getPersonId(), "[人脸编号] 不能为空");		// 验证: 人脸编号
//		AjaxError.throwByIsNull(t.getCreateTime(), "[创建时间] 不能为空");		// 验证: 创建时间
//		AjaxError.throwByIsNull(t.getCreateBy(), "[创建人编号] 不能为空");		// 验证: 创建人编号
//		AjaxError.throwByIsNull(t.getCreateName(), "[创建人名称] 不能为空");		// 验证: 创建人名称
//		AjaxError.throwByIsNull(t.getUpdateTime(), "[更新时间] 不能为空");		// 验证: 更新时间
//		AjaxError.throwByIsNull(t.getUpdateBy(), "[更新人编号] 不能为空");		// 验证: 更新人编号
//		AjaxError.throwByIsNull(t.getUpdateName(), "[更新人名称] 不能为空");		// 验证: 更新人名称
//		AjaxError.throwByIsNull(t.getDeleteStatus(), "[删除状态] 不能为空");		// 验证: 删除状态(0=禁用,1=启用)
//	}
//
//	/**
//	 * 获取一个TbPurchaser (方便复制代码用) [G]
//	 */
//	static TbPurchaser getTbPurchaser() {
//		TbPurchaser t = new TbPurchaser();	// 声明对象
//		t.setId(0L);		// 主键
//		t.setName("");		// 名称
//		t.setLegalPerson("");		// 法人
//		t.setIdCard("");		// 身份证号
//		t.setContact("");		// 手机号码
//		t.setBusinessLicense("");		// 营业执照
//		t.setBankNo("");		// 银行编号
//		t.setBankName("");		// 银行名称
//		t.setBankAccount("");		// 银行账号
//		t.setDutyParagraph("");		// 税号
//		t.setAddressIds("");		// 地址编号
//		t.setAddress("");		// 地址
//		t.setJudgeStatus("");		// 审核状态(0=未通过,1=已通过)
//		t.setJudgeContent("");		// 审核意见
//		t.setJudgeTime(new Date());		// 上次审核时间
//		t.setRegisterTime(new Date());		// 注册时间
//		t.setPersonId("");		// 人脸编号
//		t.setCreateTime("");		// 创建时间
//		t.setCreateBy("");		// 创建人编号
//		t.setCreateName("");		// 创建人名称
//		t.setUpdateTime("");		// 更新时间
//		t.setUpdateBy("");		// 更新人编号
//		t.setUpdateName("");		// 更新人名称
//		t.setDeleteStatus(0);		// 删除状态(0=禁用,1=启用)
//		return t;
//	}
//
//
//
//
//
//}
