package com.pj.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class DataDto implements Serializable {

    /**
     *  报文生成时间
     */
    @JsonProperty("msgTime")
    private String msgTime;

    /**
     * 报文内容密文
     */
    @JsonProperty("data")
    private String data;
}
